{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalString (lib.elem "nvim::lsp::html" config.machine.pkgs) # lua
  ''
    local html_capabilities = vim.lsp.protocol.make_client_capabilities()
    html_capabilities.textDocument.completion.completionItem.snippetSupport = true
    lspconfig.html.setup({
      capabilities = html_capabilities,
      cmd = {"${pkgs.vscode-langservers-extracted}/bin/vscode-html-language-server"}
    })
  ''
